%global         momorel 3

Name:           perl-Test-TempDir
Version:        0.08
Release:        %{momorel}m%{?dist}
Summary:        Temporary files support for testing
License:        "Distributable"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-TempDir/
Source0:        http://www.cpan.org/authors/id/E/ET/ETHER/Test-TempDir-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Cwd
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-File-NFSLock
BuildRequires:  perl-File-Path >= 2.04
BuildRequires:  perl-File-Temp
BuildRequires:  perl-Moose >= 0.87
BuildRequires:  perl-MooseX-Types-Path-Class
BuildRequires:  perl-namespace-clean >= 0.08
BuildRequires:  perl-Path-Class
BuildRequires:  perl-Sub-Exporter
BuildRequires:  perl-Test-use-ok
Requires:       perl-Cwd
Requires:       perl-File-NFSLock
Requires:       perl-File-Path >= 2.04
Requires:       perl-File-Temp
Requires:       perl-Moose >= 0.87
Requires:       perl-MooseX-Types-Path-Class
Requires:       perl-namespace-clean >= 0.08
Requires:       perl-Path-Class
Requires:       perl-Sub-Exporter
Requires:       perl-Test-use-ok
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
Test::TempDir provides temporary directory creation with testing in mind.

%prep
%setup -q -n Test-TempDir-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Test/TempDir
%{perl_vendorlib}/Test/TempDir.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.08-3m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.08-2m)
- rebuild against perl-5.18.2

* Sun Sep 29 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.08-1m)
- update to 0.08

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.05-3m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.05-2m)
- rebuild against perl-5.18.0

* Mon Apr 15 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.05-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
